//+------------------------------------------------------------------+
//Modified @2007 by Andy for Jasmine's Marble
//Jasmine_Tunnel..... part of Jasmine Marble Tunnel Trading System
//Thanks to Vegas" 
//+------------------------------------------------------------------+
#property copyright "ANDY"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Yellow
#property indicator_color2 Blue
#property indicator_color3 Red
#property indicator_color4 Red
#property indicator_color5 Red
#property indicator_color6 Red
#property indicator_color7 Red
#property indicator_color8 Red
//---- input parameters
extern int       RiskModel=2;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];
double ExtMapBuffer8[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer5);
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer6);
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,ExtMapBuffer7);
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,ExtMapBuffer8);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int    counted_bars=IndicatorCounted();
  //---- check for possible errors
   if(counted_bars<0) return(-1);
  //---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
        //---- ma_shift set to 0 because SetIndexShift called abowe
         ExtMapBuffer1[i]=iMA(NULL,0,13,0,MODE_SMA,PRICE_CLOSE,i);
         ExtMapBuffer2[i]=iMA(NULL,0,100,0,MODE_SMA,PRICE_CLOSE,i);
         
         //Model #1 13,21,34
         if(RiskModel==1)
         {
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+13*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]-13*Point;
            ExtMapBuffer5[i]=ExtMapBuffer1[i]+21*Point;
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-21*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]+34*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-34*Point;         
         }
         
         //Model #2 55,89,144
         if(RiskModel==2)
         {
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+55*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]-55*Point;
            ExtMapBuffer5[i]=ExtMapBuffer1[i]+89*Point;
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-89*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]+144*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-144*Point;         
         }
         
          //Model #3 233,377,610
         if(RiskModel==3)
         {
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+233*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]-233*Point;
            ExtMapBuffer5[i]=ExtMapBuffer1[i]+377*Point;
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-377*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]+610*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-610*Point;         
         }
         
          //Model #4 987,1597,2584
         if(RiskModel==4)
         {
            ExtMapBuffer3[i]=ExtMapBuffer1[i]+987*Point;
            ExtMapBuffer4[i]=ExtMapBuffer1[i]-987*Point;
            ExtMapBuffer5[i]=ExtMapBuffer1[i]+1597*Point;
            ExtMapBuffer6[i]=ExtMapBuffer1[i]-1597*Point;
            ExtMapBuffer7[i]=ExtMapBuffer1[i]+2584*Point;
            ExtMapBuffer8[i]=ExtMapBuffer1[i]-2584*Point;         
         }
         
       }     
  //---- done

//---- 
   
//----
   return(0);
  }
//+------------------------------------------------------------------+